JogoForcaMVC/JogoForcaMVC/Models/WordModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace JogoForcaMVC.Models
{
    public class WordModel
    {
        public List<string> ListWord = new List<string>();
        public List<string> ListWrongLetters = new List<string>();
        public List<string> DisplayedWord = new List<string>();
        public string SelectedWord { get; set; }
        public int Lives { get; set; }

    }
}

JogoForcaMVC/JogoForcaMVC/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace JogoForcaMVC.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}

JogoForcaMVC/JogoForcaMVC/Controllers/WordController.cs
using JogoForcaMVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;


namespace JogoForcaMVC.Controllers
{
    public class WordController : Controller
    {
        // GET: Word
        public ActionResult Index()
        {
           return SetWord();
        }

        [HttpGet]
        public ActionResult SetWord()
        {
            WordModel wm = new WordModel();
            Random rng = new Random();

            wm.ListWord.AddRange(new string[] { "casa", "carro", "televisao", "amarelo", "aviao", "bolo", "cama", "doce", "estojo", "acender", "basquete", "fugaz", "impacto", "enquete", "umbigo", "pacoca", "reportagem", "vaticano", "israel", "inseto", "camada", "primeiros", "lagarto", "homenageou", "assassinato", "diagnosticado", "coincidiu", "estiveram", "hectares", "dinamarques", "pachyramphus", "durante", "refrigeradores", "bicoin", "organizada", "voleibol", "localizada", "haplomitriales", "equipado", "internacionais", "contratada", "espanha" });
            wm.SelectedWord = wm.ListWord[rng.Next(0, 41)];
            wm.Lives = 5;
            HttpCookie SelectedWordCookie = new HttpCookie("SelectedWord");
            SelectedWordCookie.Value = wm.SelectedWord.ToString();
            Response.Cookies.Add(SelectedWordCookie);
            HttpCookie LivesCookie = new HttpCookie("Lives");
            LivesCookie.Value = wm.Lives.ToString();
            Response.Cookies.Add(LivesCookie);

            return View("Index", wm);
        }

        [HttpGet]
        public string GetWord(WordModel wm) 
        {
            return wm.SelectedWord;
        }
    }
}

JogoForcaMVC/JogoForcaMVC/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<p>Use this area to provide additional information.</p>

JogoForcaMVC/JogoForcaMVC/Views/Home/Contact.cshtml
@{
    ViewBag.Title = "Contact";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

JogoForcaMVC/JogoForcaMVC/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Home Page";
}

<div class="jumbotron">
    <h1>ASP.NET</h1>
    <p class="lead">ASP.NET is a free web framework for building great Web sites and Web applications using HTML, CSS and JavaScript.</p>
    <p><a href="https://asp.net" class="btn btn-primary btn-lg">Learn more &raquo;</a></p>
</div>

<div class="row">
    <div class="col-md-4">
        <h2>Getting started</h2>
        <p>
            ASP.NET MVC gives you a powerful, patterns-based way to build dynamic websites that
            enables a clean separation of concerns and gives you full control over markup
            for enjoyable, agile development.
        </p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301865">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Get more libraries</h2>
        <p>NuGet is a free Visual Studio extension that makes it easy to add, remove, and update libraries and tools in Visual Studio projects.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301866">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Web Hosting</h2>
        <p>You can easily find a web hosting company that offers the right mix of features and price for your applications.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301867">Learn more &raquo;</a></p>
    </div>
</div>

JogoForcaMVC/JogoForcaMVC/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Que a Forca esteja com você", "Index", "Word", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Mudar Palavra", "SetWord", "Word")</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>

JogoForcaMVC/JogoForcaMVC/Views/Word/Index.cshtml
@model JogoForcaMVC.Models.WordModel

@{
    ViewBag.Title = "Index";
}

<h2>Lifes</h2>

<div id="lifes">
    <div>
        <p id="life1" class="glyphicon glyphicon-heart"></p>
        <p id="life2" class="glyphicon glyphicon-heart"></p>
        <p id="life3" class="glyphicon glyphicon-heart"></p>
        <p id="life4" class="glyphicon glyphicon-heart"></p>
        <p id="life5" class="glyphicon glyphicon-heart"></p>
        <p id="life6" class="glyphicon glyphicon-heart"></p>
        <p id="life7" class="glyphicon glyphicon-heart"></p>
        <p id="life8" class="glyphicon glyphicon-heart"></p>
        <p id="life9" class="glyphicon glyphicon-heart"></p>
        <p id="life10" class="glyphicon glyphicon-heart"></p>
    </div>
    <hr />
    <dl class="dl-horizontal">
    </dl>
</div>
<div class="row">
    @{
        int i = 0;
        foreach (char letter in @Model.SelectedWord)
        {

            <h1 id="@i" class="col-md-1 table-bordered" style="padding : 5rem;"></h1>
            i++;
        }
    }

</div>
<div id="keyboard" class="" display="grid">
    <div class="row">
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">Q</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">W</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">E</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">R</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">T</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">Y</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">U</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">I</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">O</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">P</div>
    </div>
    <div class="row" style="align-content:center">
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">A</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">S</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">D</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">F</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">G</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">H</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">J</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">K</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">L</div>
    </div>
    <div class="row" style="align-content:center">
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">Z</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">X</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">C</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">V</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">B</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">N</div>
        <div class="col-md-1 table-bordered" style="padding : 3px; text-align:center; cursor : pointer;" onclick="TryLetter(this)">M</div>
    </div>

</div>
<script src="~/Scripts/GameScripts.js"></script>